Package com.sun.jna.platform.win32

## Class Tlhelp32.MODULEENTRY32W

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Tlhelp32.MODULEENTRY32W

Direct Known Subclasses:
  `Tlhelp32.MODULEENTRY32W.ByReference`

Enclosing interface:
  Tlhelp32

    @FieldOrder({"dwSize","th32ModuleID","th32ProcessID","GlblcntUsage","ProccntUsage","modBaseAddr","modBaseSize","hModule","szModule","szExePath"})
    public static class Tlhelp32.MODULEENTRY32W
    extends Structure

Describes an entry from a list of the modules belonging to the specified process.

See Also:
  MSDN

### Nested Class Summary

Nested Classes
`static class` `Tlhelp32.MODULEENTRY32W.ByReference` A representation of a MODULEENTRY32 structure as a reference

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinDef.DWORD` `dwSize` The size of the structure, in bytes.
`WinDef.DWORD` `GlblcntUsage` The load count of the module, which is not generally meaningful, and usually equal to 0xFFFF.
`WinDef.HMODULE` `hModule` A handle to the module in the context of the owning process.
`Pointer` `modBaseAddr` The base address of the module in the context of the owning process.
`WinDef.DWORD` `modBaseSize` The size of the module, in bytes.
`WinDef.DWORD` `ProccntUsage` The load count of the module (same as GlblcntUsage), which is not generally meaningful, and usually equal to 0xFFFF.
`char[]` `szExePath` The module path.
`char[]` `szModule` The module name.
`WinDef.DWORD` `th32ModuleID` This member is no longer used, and is always set to one.
`WinDef.DWORD` `th32ProcessID` The identifier of the process whose modules are to be examined.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`MODULEENTRY32W()`
`MODULEENTRY32W​(Pointer memory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `szExePath()`
`java.lang.String` `szModule()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwSize

    public WinDef.DWORD dwSize

The size of the structure, in bytes. Before calling the Module32First function, set this member to sizeof(MODULEENTRY32). If you do not initialize dwSize, Module32First fails.

#### th32ModuleID

    public WinDef.DWORD th32ModuleID

This member is no longer used, and is always set to one.

#### th32ProcessID

    public WinDef.DWORD th32ProcessID

The identifier of the process whose modules are to be examined.

#### GlblcntUsage

    public WinDef.DWORD GlblcntUsage

The load count of the module, which is not generally meaningful, and usually equal to 0xFFFF.

#### ProccntUsage

    public WinDef.DWORD ProccntUsage

The load count of the module (same as GlblcntUsage), which is not generally meaningful, and usually equal to 0xFFFF.

#### modBaseAddr

    public Pointer modBaseAddr

The base address of the module in the context of the owning process.

#### modBaseSize

    public WinDef.DWORD modBaseSize

The size of the module, in bytes.

#### hModule

    public WinDef.HMODULE hModule

A handle to the module in the context of the owning process.

#### szModule

    public char[] szModule

The module name.

#### szExePath

    public char[] szExePath

The module path.

### Constructor Detail

#### MODULEENTRY32W

    public MODULEENTRY32W()

#### MODULEENTRY32W

    public MODULEENTRY32W​(Pointer memory)

### Method Detail

#### szModule

    public java.lang.String szModule()

Returns:
  The module name.

#### szExePath

    public java.lang.String szExePath()

Returns:
  The module path.